plot.band <- function (x, ...) {
   plot(x, ...)
   a <- time(x)
   i1 <- floor(min(a))
   i2 <- ceiling(max(a))
   y1 <- par('usr')[3]
   y2 <- par('usr')[4]
   if( par("ylog") ){
     y1 <- 10^y1
     y2 <- 10^y2
   }
   for (i in seq(from=i1, to=i2-1, by=2)) {
     polygon( c(i,i+1,i+1,i), 
              c(y1,y1,y2,y2), 
              col = 'grey', 
              border = NA )
   }
   par(new=T)
   plot(x, ...)
 }
